Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum QRegExp.CaretMode

    java.lang.Object
      java.lang.Enum<QRegExp.CaretMode>
          com.trolltech.qt.core.QRegExp.CaretMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QRegExp.CaretMode>

Enclosing class:
  QRegExp

    public static enum QRegExp.CaretMode

extends java.lang.Enum<QRegExp.CaretMode>
implements QtEnumerator

The `CaretMode` enum defines the different meanings of the caret (^) in a regular expression. The possible values are:

Constant | Value | Description
--- | --- | ---
`CaretAtZero` | `0` | The caret corresponds to index 0 in the searched string.
`CaretAtOffset` | `1` | The caret corresponds to the start offset of the search.
`CaretWontMatch` | `2` | The caret never matches.

Enum Constant Summary
`CaretAtOffset` The caret corresponds to the start offset of the search.
`CaretAtZero` The caret corresponds to index 0 in the searched string.
`CaretWontMatch` The caret never matches.

Method Summary
`static QRegExp.CaretMode` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QRegExp.CaretMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QRegExp.CaretMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CaretAtZero

    public static final QRegExp.CaretMode CaretAtZero

  The caret corresponds to index 0 in the searched string.

### CaretAtOffset

    public static final QRegExp.CaretMode CaretAtOffset

  The caret corresponds to the start offset of the search.

### CaretWontMatch

    public static final QRegExp.CaretMode CaretWontMatch

  The caret never matches.

Method Detail

### values

    public static final QRegExp.CaretMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QRegExp.CaretMode c : QRegExp.CaretMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QRegExp.CaretMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QRegExp.CaretMode resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD